Debian Bug report logs - #491536
iceweasel: Impossible to get past click through license dialog

version graph

Package: debian-edu-config; Maintainer for debian-edu-config is Debian Edu Developers <debian-edu@lists.debian.org>; Source for debian-edu-config is src:debian-edu-config.

Reported by: Petter Reinholdtsen <pere@hungry.com>

Date: Sun, 20 Jul 2008 09:48:01 UTC

Severity: grave

Found in versions debian-edu-config/1.422, debian-edu-config/1.420

Fixed in version debian-edu-config/1.423

Done: Holger Levsen <holger@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#491536; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
New Bug report received and forwarded. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: submit@bugs.debian.org
Subject: iceweasel: Impossible to get past click through license dialog
Date: Sun, 20 Jul 2008 11:46:33 +0200
Package: iceweasel
Severity: grave
Version: 3.0~rc2-2
User: debian-edu@lists.debian.org
Usertag: debian-edu

In a fresh Lenny installation, I am unable to start iceweasel because
the click through license dialog box do not respond on the [OK] button
when I choose 'I accept the term of the License Agreement'.  This make
iceweasel completely unusable.  I suspect this only affect new users.
Because of this, I set the severity to grave.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#491536; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #10 received at 491536@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Petter Reinholdtsen <pere@hungry.com>, 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 07:26:38 +0200
On Sun, Jul 20, 2008 at 11:46:33AM +0200, Petter Reinholdtsen wrote:
> 
> Package: iceweasel
> Severity: grave
> Version: 3.0~rc2-2
> User: debian-edu@lists.debian.org
> Usertag: debian-edu
> 
> In a fresh Lenny installation, I am unable to start iceweasel because
> the click through license dialog box do not respond on the [OK] button
> when I choose 'I accept the term of the License Agreement'.  This make
> iceweasel completely unusable.  I suspect this only affect new users.
> Because of this, I set the severity to grave.

This dialog is not supposed to be displayed at all. Can you verify that
the /usr/lib/iceweasel/defaults/preferences/vendor.js file contains the
following:

pref("browser.EULA.override", true);

If it doesn't, please reinstall iceweasel from a debian mirror.
If it does, try turning the "pref" above into a "lockPref" and see if it
works better.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#491536; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #15 received at 491536@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 08:17:58 +0200
[Mike Hommey]
> This dialog is not supposed to be displayed at all.

Good.  It is annoying.

> Can you verify that the
> /usr/lib/iceweasel/defaults/preferences/vendor.js file contains the
> following:
> 
> pref("browser.EULA.override", true);
> 
> If it doesn't, please reinstall iceweasel from a debian mirror.

Is this the correct path?  I got no such file in the iceweasel package
installed from Lenny.
/usr/share/iceweasel/defaults/preferences/vendor.js exist, though and
include that entry.  The directory include five files,
channel-prefs.js, firefox.js, firefox-l10n.js, reporter.js and
vendor.js.

> If it does, try turning the "pref" above into a "lockPref" and see
> if it works better.

Rewriting pref() to lockPref() did not help for the file in
/usr/share/.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#491536; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #20 received at 491536@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Petter Reinholdtsen <pere@hungry.com>, 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 08:46:23 +0200
On Mon, Jul 21, 2008 at 08:17:58AM +0200, Petter Reinholdtsen wrote:
> [Mike Hommey]
> > This dialog is not supposed to be displayed at all.
> 
> Good.  It is annoying.
> 
> > Can you verify that the
> > /usr/lib/iceweasel/defaults/preferences/vendor.js file contains the
> > following:
> > 
> > pref("browser.EULA.override", true);
> > 
> > If it doesn't, please reinstall iceweasel from a debian mirror.
> 
> Is this the correct path?  I got no such file in the iceweasel package
> installed from Lenny.
> /usr/share/iceweasel/defaults/preferences/vendor.js exist, though and
> include that entry.  The directory include five files,
> channel-prefs.js, firefox.js, firefox-l10n.js, reporter.js and
> vendor.js.

There is supposed to be a /usr/lib/iceweasel/defaults symlink to
/usr/share/iceweasel/defaults, so the path is supposed to be valid.
It looks like you have some other package having a defaults directory
installed. Check what you have there and what package is responsible for
this.

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#491536; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #25 received at 491536@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 09:03:18 +0200
[Mike Hommey]
> There is supposed to be a /usr/lib/iceweasel/defaults symlink to
> /usr/share/iceweasel/defaults, so the path is supposed to be valid.
> It looks like you have some other package having a defaults
> directory installed. Check what you have there and what package is
> responsible for this.

Yes, this is in debian-edu-config, providing
/usr/lib/iceweasel/defaults/pref/debian-edu.js.  Should it be stored
in /usr/share/ instead?  I can move it.  I picked the /usr/lib/ path
because I believed it was the directory used by iceweasel.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Eric Dorland <eric@debian.org>:
Bug#491536; Package iceweasel. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Eric Dorland <eric@debian.org>. Full text and rfc822 format available.

Message #30 received at 491536@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Petter Reinholdtsen <pere@hungry.com>, 491536@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 09:55:17 +0200
reassign 491536 debian-edu-config
thanks

On Mon, Jul 21, 2008 at 09:03:18AM +0200, Petter Reinholdtsen <pere@hungry.com> wrote:
> [Mike Hommey]
> > There is supposed to be a /usr/lib/iceweasel/defaults symlink to
> > /usr/share/iceweasel/defaults, so the path is supposed to be valid.
> > It looks like you have some other package having a defaults
> > directory installed. Check what you have there and what package is
> > responsible for this.
> 
> Yes, this is in debian-edu-config, providing
> /usr/lib/iceweasel/defaults/pref/debian-edu.js.  Should it be stored
> in /usr/share/ instead?  I can move it.  I picked the /usr/lib/ path
> because I believed it was the directory used by iceweasel.

I'd say you should be putting this file in /etc/iceweasel/prefs.

Reassigning this bug to debian-edu-config.

Mike




Bug reassigned from package `iceweasel' to `debian-edu-config'. Request was from Mike Hommey <mh@glandium.org> to control@bugs.debian.org. (Mon, 21 Jul 2008 07:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#491536; Package debian-edu-config. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 491536@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Mike Hommey <mh@glandium.org>, 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 10:05:58 +0200
[Mike Hommey]
> I'd say you should be putting this file in /etc/iceweasel/prefs.

This isn't a host specific configuration, it is a extention to the
default, that should be overridable by the local sysadmin by adding
entries in /etc/ if they choose to.  Why should it not use
/usr/share/iceweasel/defaults/?

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#491536; Package debian-edu-config. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 491536@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 10:23:09 +0200
On Mon, Jul 21, 2008 at 10:05:58AM +0200, Petter Reinholdtsen <pere@hungry.com> wrote:
> [Mike Hommey]
> > I'd say you should be putting this file in /etc/iceweasel/prefs.
> 
> This isn't a host specific configuration, it is a extention to the
> default, that should be overridable by the local sysadmin by adding
> entries in /etc/ if they choose to.  Why should it not use
> /usr/share/iceweasel/defaults/?

What you are saying sounds like you really want a conffile. You
can put stuff in /usr/share/iceweasel/defaults/, but why not just
use a conffile ?

Mike




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Edu Developers <debian-edu@lists.debian.org>:
Bug#491536; Package debian-edu-config. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Edu Developers <debian-edu@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 491536@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: Mike Hommey <mh@glandium.org>, 491536@bugs.debian.org
Subject: Re: Bug#491536: iceweasel: Impossible to get past click through license dialog
Date: Mon, 21 Jul 2008 10:30:23 +0200
[Mike Hommey]
> What you are saying sounds like you really want a conffile. You
> can put stuff in /usr/share/iceweasel/defaults/, but why not just
> use a conffile ?

To avoid upgrade problems.  The defaults provided by debian-edu-config
are not ment to be edited by sysadmins.  The sysadmin overrides should
stay in separate files, to avoid dpkg questions during upgrades.
Anyway, thank you for the pointers and feedback.  I will move the file
to /usr/share/iceweasel/defaults/.

Happy hacking,
-- 
Petter Reinholdtsen




Bug marked as found in version 1.422. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 25 Jul 2008 21:26:16 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.420. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 25 Jul 2008 21:26:17 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 25 Jul 2008 21:39:02 GMT) Full text and rfc822 format available.

Reply sent to Holger Levsen <holger@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Petter Reinholdtsen <pere@hungry.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #58 received at 491536-close@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@debian.org>
To: 491536-close@bugs.debian.org
Subject: Bug#491536: fixed in debian-edu-config 1.423
Date: Fri, 25 Jul 2008 23:47:03 +0000
Source: debian-edu-config
Source-Version: 1.423

We believe that the bug you reported is fixed in the latest version of
debian-edu-config, which is due to be installed in the Debian FTP archive:

debian-edu-config_1.423.dsc
  to pool/main/d/debian-edu-config/debian-edu-config_1.423.dsc
debian-edu-config_1.423.tar.gz
  to pool/main/d/debian-edu-config/debian-edu-config_1.423.tar.gz
debian-edu-config_1.423_all.deb
  to pool/main/d/debian-edu-config/debian-edu-config_1.423_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 491536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Holger Levsen <holger@debian.org> (supplier of updated debian-edu-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 25 Jul 2008 23:24:10 +0000
Source: debian-edu-config
Binary: debian-edu-config
Architecture: source all
Version: 1.423
Distribution: unstable
Urgency: low
Maintainer: Debian Edu Developers <debian-edu@lists.debian.org>
Changed-By: Holger Levsen <holger@debian.org>
Description: 
 debian-edu-config - Configuration files for Skolelinux systems
Closes: 489715 491536 491929
Changes: 
 debian-edu-config (1.423) unstable; urgency=low
 .
   [ Petter Reinholdtsen ]
   * Reorder squid.conf cfengine rule to work with the file in Lenny.
   * Drop squid.conf edit rule for adding the CUPS and webmin ports
     (631 and 10000), as it is now the default in squid.
   * Rewrite squid.conf access rule to allow access for all RFC 1918
     nets (10.0.0.0/8, 172.16.0.0/12 and 192.168.0.0/16), and not only
     the backbone and thin client net, to reduce the difference between
     our and the default squid configuration.
   * Add cfengine code to initialize PXE install during install.
   * Rewrite PXE install script to use DNS name and not IP address to
     find preseed file.  Also make sure the file it creates are
     readable by everyone.
   * Preseed DNS domain in PXE installs to get less questions asked.
   * Make sure test installs using PXE uses the test repository.
   * Call sync before and after cfengine, to see if it solve the
     strange problem with cfengine not running to completion.
   * Adjust LDAP client test to match the current correct
     configuration.
   * Make debian-edu-fsautoresize more verbose when -v is used.
   * Added new helper script iceweasel-plugin-support useful for
     listing the claimed mime types of mozilla plugin.
   * Move iceweasel prefs file from /usr/lib to /usr/share, to avoid
     overriding all iceweasel configuration (Closes: #491536).
   * Change cfengine rule for thin-client server to only do related
     edits on thin-client-server installs.
   * Only build the PXE installation environment if we can download
     files from the the Internet, until we find another way to fetch
     the d-i (PXE) boot images.
   * Drop cfengine rules for nss-ldap, we use nss-ldapd now.
   * Run /usr/share/doc/kaffeine/install-css.sh during installation for
     workstation and standalone profiles if downloading from the
     Internet work.
   * Split out ldap-server-getcert tool from the fetch-ldap-cert init.d
     script.
   * Added script debian-edu-winbind moved from the debian-edu-install
     package.
   * Try to get LTSP installation working, by installing
     debian-edu-archive-keyring using debootstrap and using apt option
     --allow-unauthenticated until our CD is signed.
   * Use lsb_release output to avoid hardcoding distribution name in
     debian-edu-pxeinstall (Closes: #489715).
   * Try to get PXE install of LTSP servers working by preseeding
     ltsp-build-client-udeb.
   * Add LTSP build plugin to accept the local component when
     installing from CD, and to append the host sources.list to the
     LTSP chroot sources.list to get the same set of packages
     available.
 .
   [ Vagrant Cascadian ]
   * Add ltsp plugin to default to lenny if distribution detection
     fails.
 .
   [ Translations ]
   * Updated Turkish from Mert Dirik (Closes: #491929).
 .
   [ Holger Levsen ]
   * Remove Andreas Stockholm from uploaders, thanks Andreas!
Checksums-Sha1: 
 50ba77b41aad24188762cedfbf36502db367c6b8 1254 debian-edu-config_1.423.dsc
 5e92102a11911b77b6e62e39364f36fde31a70e4 244919 debian-edu-config_1.423.tar.gz
 3bdc4fddabb3bf5d4f59dfcb00d94fcd16154fbd 211674 debian-edu-config_1.423_all.deb
Checksums-Sha256: 
 5f83fe9975fbd188cfaec1834d3bce2df9169f1b0fef359aa4d1a84d03b008d0 1254 debian-edu-config_1.423.dsc
 cb0ff6dc511a954301a8c97ec77ac77fb9e8b232384546025b1a2f7c7c0d7263 244919 debian-edu-config_1.423.tar.gz
 03633fcab2a4099db670ea77513f83e090f616f2cb249de489064d12f74a0fe9 211674 debian-edu-config_1.423_all.deb
Files: 
 066dd6049383856219544cab41740a70 1254 misc optional debian-edu-config_1.423.dsc
 ea84aed45f3f1de20528a695d33b1fcb 244919 misc optional debian-edu-config_1.423.tar.gz
 acdea6e211c9217bfee56309ea74702b 211674 misc optional debian-edu-config_1.423_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIimJ0UHLQNqxYNSARAuoNAJ0WjFfz/g1giu3fG8cxIAzwYZYnxACfX4ja
n/Q33bsaCE46CCzX4ryzjO8=
=nQCV
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 03 Sep 2008 07:31:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:32:38 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.